%global momorel 2
%global md5sum_src0 5e39fed853e5669cbac32b77a67bb6dd
%global emacsver 22.0.91
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages

Summary: Mercurial -- a distributed SCM
Name: mercurial
Version: 0.9.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
%NoSource 0 http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

%package emacs
Group: Development/Tools
Summary: Emacs support for the Mercurial distributed SCM
Requires: mercurial = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description emacs
Emacs support for the Mercurial distributed SCM.

%package xemacs
Group: Development/Tools
Summary: XEmacs support for the Mercurial distributed SCM
Requires: mercurial = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description xemacs
XEmacs support for the Mercurial distributed SCM.

%prep
%setup -q

%build
python ./setup.py build
(cd doc; make man)

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
python ./setup.py install -O1 --root %{buildroot} --record=%{name}.files

%__mkdir_p %{buildroot}%{_mandir}/man1
%__mkdir_p %{buildroot}%{_mandir}/man5
%__install -m 0644 doc/hg.1 %{buildroot}%{_mandir}/man1/hg.1
%__install -m 0644 doc/hgmerge.1 %{buildroot}%{_mandir}/man1/hgmerge.1
%__install -m 0644 doc/hgrc.5 %{buildroot}%{_mandir}/man5/hgrc.5
%__install -m 0644 doc/hgignore.5 %{buildroot}%{_mandir}/man5/hgignore.5

pushd contrib
# emacs
emacs -q -no-site-file -batch -f batch-byte-compile %{name}.el
%__mkdir_p %{buildroot}%{e_sitedir}
%__install -m 0644 %{name}.el %{buildroot}%{e_sitedir}/%{name}.el
%__install -m 0644 %{name}.elc %{buildroot}%{e_sitedir}/%{name}.elc
%__rm %{name}.elc
# xemacs
xemacs -q -no-site-file -batch -f batch-byte-compile %{name}.el
%__mkdir_p %{buildroot}%{xe_sitedir}
%__install -m 0644 %{name}.el %{buildroot}%{xe_sitedir}/%{name}.el
%__install -m 0644 %{name}.elc %{buildroot}%{xe_sitedir}/%{name}.elc
%__rm %{name}.elc
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc CONTRIBUTORS COPYING README doc contrib
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files -n mercurial-emacs
%defattr(-, root, root)
%{e_sitedir}/%{name}.el*

%files -n mercurial-xemacs
%defattr(-, root, root)
%{xe_sitedir}/%{name}.el*

%changelog 
* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-2m)
- rebuild against python-2.5

* Wed Dec 20 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.3-1m)
- update to 0.9.3

* Mon Nov 13 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-3m)
- revise %%prep, %%build, %%install sections
  referred to Fedora Extras devel
- create mercurial-emacs and mercurial-xemacs  

* Tue Nov  7 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-2m)
- add man pages

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1

* Wed Jun  7 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9-2m)
- fix files list conflicts (nigirisugi)

* Mon May 22 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9-1m)
- update to 0.9

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7-2m)
- revised doc owner

* Wed Jan 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7-1m)
- import to Momonga
